Package org.eclipse.jface.viewers

## Interface ILazyContentProvider

All Superinterfaces:
  `IContentProvider`

All Known Subinterfaces:
  `IIndexableLazyContentProvider`

All Known Implementing Classes:
  `DeferredContentProvider`

    public interface ILazyContentProvider
    extends IContentProvider

The ILazyContentProvider is the content provider for table viewers created using the SWT.VIRTUAL flag that only wish to return their contents as they are queried. NOTE: As the ILazyContentProvider does not have API for determining the total item count any changes to the number of items for this object while require a call to `#setItemCount` on the viewer that uses it.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `updateElement​(int index)` Called when a previously-blank item becomes visible in the TableViewer.

### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

`dispose, inputChanged`

### Method Detail

#### updateElement

    void updateElement​(int index)

Called when a previously-blank item becomes visible in the TableViewer. If the content provider knows the element at this row, it should respond by calling TableViewer#replace(Object, int). NOTE #updateElement(int index) can be used to determine selection values. TableViewer#replace(Object, int) is not called before returning from this method selections may have missing or stale elements. In this situation it is suggested that the selection is asked for again after he update.

Parameters:
  `index` - The index that is being updated in the table.